<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlxTransaction StructType
 * @subpackage Structs
 */
class FlxTransaction extends AbstractStructBase
{
    /**
     * The Context
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $Context;
    /**
     * The IATA_AirShoppingRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - ref: s1:IATA_AirShoppingRQ
     * @var \StructType\IATA_AirShoppingRQ
     */
    public $IATA_AirShoppingRQ;
    /**
     * Constructor method for FlxTransaction
     * @uses FlxTransaction::setContext()
     * @uses FlxTransaction::setIATA_AirShoppingRQ()
     * @param string $context
     * @param \StructType\IATA_AirShoppingRQ $iATA_AirShoppingRQ
     */
    public function __construct($context = null, \StructType\IATA_AirShoppingRQ $iATA_AirShoppingRQ = null)
    {
        $this
            ->setContext($context)
            ->setIATA_AirShoppingRQ($iATA_AirShoppingRQ);
    }
    /**
     * Get Context value
     * @return string
     */
    public function getContext()
    {
        return $this->Context;
    }
    /**
     * Set Context value
     * @param string $context
     * @return \StructType\FlxTransaction
     */
    public function setContext($context = null)
    {
        // validation for constraint: string
        if (!is_null($context) && !is_string($context)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($context, true), gettype($context)), __LINE__);
        }
        $this->Context = $context;
        return $this;
    }
    /**
     * Get IATA_AirShoppingRQ value
     * @return \StructType\IATA_AirShoppingRQ
     */
    public function getIATA_AirShoppingRQ()
    {
        return $this->IATA_AirShoppingRQ;
    }
    /**
     * Set IATA_AirShoppingRQ value
     * @param \StructType\IATA_AirShoppingRQ $iATA_AirShoppingRQ
     * @return \StructType\FlxTransaction
     */
    public function setIATA_AirShoppingRQ(\StructType\IATA_AirShoppingRQ $iATA_AirShoppingRQ = null)
    {
        $this->IATA_AirShoppingRQ = $iATA_AirShoppingRQ;
        return $this;
    }
}
